Package org.eclipse.net4j.util.ui

# Class TableLabelProvider.Column<T>

java.lang.Object
org.eclipse.net4j.util.ui.TableLabelProvider.Column<T>

Enclosing class:
  `TableLabelProvider<T>`

public static class TableLabelProvider.Column<T> extends Object

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`Column()`
`Column(String header)`
`Column(String header, int width)`
`Column(String header, int width, int alignment)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getAlignment()`
`Color`
`getBackground(T element)`
`Font`
`getFont(T element)`
`Color`
`getForeground(T element)`
`String`
`getHeader()`
`Image`
`getImage()`
`Image`
`getImage(T element)`
`String`
`getText(T element)`
`String`
`getToolTipText()`
`int`
`getWidth()`
`boolean`
`isMoveable()`
`boolean`
`isResizable()`
`TableLabelProvider.Column<T>`
`setAlignment(int alignment)`
`TableLabelProvider.Column<T>`
`setHeader(String header)`
`TableLabelProvider.Column<T>`
`setImage(Image image)`
`TableLabelProvider.Column<T>`
`setMoveable(boolean moveable)`
`TableLabelProvider.Column<T>`
`setResizable(boolean resizable)`
`TableLabelProvider.Column<T>`
`setToolTipText(String toolTipText)`
`TableLabelProvider.Column<T>`
`setWidth(int width)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_WIDTH

public static final int DEFAULT_WIDTH

See Also:
  - Constant Field Values

## Constructor Details

### Column

public Column()

### Column

public Column(String header)

### Column

public Column(String header, int width)

### Column

public Column(String header, int width, int alignment)

## Method Details

### getHeader

public String getHeader()

### setHeader

public TableLabelProvider.Column<T> setHeader(String header)

### getToolTipText

public String getToolTipText()

### setToolTipText

public TableLabelProvider.Column<T> setToolTipText(String toolTipText)

### getWidth

public int getWidth()

### setWidth

public TableLabelProvider.Column<T> setWidth(int width)

### getAlignment

public int getAlignment()

### setAlignment

public TableLabelProvider.Column<T> setAlignment(int alignment)

### getImage

public Image getImage()

### setImage

public TableLabelProvider.Column<T> setImage(Image image)

### isMoveable

public boolean isMoveable()

### setMoveable

public TableLabelProvider.Column<T> setMoveable(boolean moveable)

### isResizable

public boolean isResizable()

### setResizable

public TableLabelProvider.Column<T> setResizable(boolean resizable)

### getText

public String getText(T element)

### getImage

public Image getImage(T element)

### getForeground

public Color getForeground(T element)

### getBackground

public Color getBackground(T element)

### getFont

public Font getFont(T element)